Bug 1366055 - man page for rhsm.conf is missing info on new [logging] section
Summary: man page for rhsm.conf is missing info on new [logging] section
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
urgent
medium
Target Milestone: rc
: 7.3
Assignee: Chris Snyder
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-10 22:15 UTC by John Sefler
Modified: 2016-11-03 20:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:30:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github candlepin subscription-manager pull 1467 None None None 2016-08-22 15:14:17 UTC
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Description John Sefler 2016-08-10 22:15:03 UTC
Description of problem:
As a result of implementing the fix for bug 1334916, a new section has been added to the rhsm.conf file.  The corresponding man page should also be updated with a helpful explanation for this new section.


Version-Release number of selected component (if applicable):
[root@jsefler-rhel7 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 2.0.16-1
subscription management rules: 5.20
subscription-manager: 1.17.10-1.el7
python-rhsm: 1.17.6-1.el7


How reproducible:


Steps to Reproduce:
[root@jsefler-rhel7 ~]# egrep "^\[" /etc/rhsm/rhsm.conf
[server]
[rhsm]
[rhsmcertd]
[logging]            <==== INTRODUCED BY Github TRACKER FROM Bug 1334916

[root@jsefler-rhel7 ~]# man -P cat rhsm.conf | egrep "^\["
[SERVER] OPTIONS
[RHSM] OPTIONS
[RHSMCERTD] OPTIONS
                     <==== EXPECTED [LOGGING]


Actual results:
  above

Expected results:
  the man page for rhsm.conf should have found a hit on [LOGGING]

Additional info:
  When fixed, QE should run "man -P cat rhsm.conf" to review the new section.

Comment 1 Chris Snyder 2016-08-22 15:15:52 UTC
Proposed PR attached as an external tracker.

Comment 3 Shwetha Kallesh 2016-08-29 13:49:04 UTC
[root@dhcp35-138 ~]# egrep "^\[" /etc/rhsm/rhsm.conf
[server]
[rhsm]
[rhsmcertd]
[logging]

[root@dhcp35-138 ~]# man -P cat rhsm.conf | egrep "^\["
[SERVER] OPTIONS
[RHSM] OPTIONS
[RHSMCERTD] OPTIONS
[LOGGING] OPTIONS

Marking verified

Man page has been updated with info the new logging section:

[root@dhcp35-138 ~]# rpm -qa | grep subscription-manager
subscription-manager-1.17.11-1.el7.x86_64


man -P cat rhsm.conf
RHSM.CONF(5)    
              
<snip>

[LOGGING] OPTIONS
       default_log_level
           The default log level for all loggers in subscription-manager, python-rhsm, rhsmd, and rhsmcertd.  Note: Other keys in this section will override this
           value for the specified logger.

       MODULE_NAME[.SUBMODULE ...] = [log_level]
           Logging can be configured on a module-level basis via entries of the format above where:
               module_name is subscription_manager, rhsm, or rhsm-app.

               submodule can be optionally specified to further override the logging level down to a specific file.

               log_level is the log level to set the specified logger (one of: DEBUG, INFO, WARNING, ERROR, or CRITICAL).

</snip>

Comment 5 errata-xmlrpc 2016-11-03 20:30:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.